Loading...
Searching...
No Matches
BALL::RDFParameter Class Reference
Molecular Modeling » Molecular Structure » Radial Distribution Functions

`#include <BALL/STRUCTURE/RDFParameter.h>`

Inheritance diagram for BALL::RDFParameter:

## Public Member Functions

Constructors and destructors.
| RDFParameter ()
| RDFParameter (const RDFParameter &rdf_parameter)
virtual | ~RDFParameter ()
Assignment
const RDFParameter & | operator= (const RDFParameter &rdf_parameter)
virtual void | clear ()
Accessors
Position | getIndex (Atom::Type type_i, Atom::Type type_j) const
const RadialDistributionFunction & | getRDF (Atom::Type type_i, Atom::Type type_j) const
const RadialDistributionFunction & | getRDF (Position index) const
virtual bool | extractSection (ForceFieldParameters &parameters, const String &section_name)
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Predicates

std::vector< RadialDistributionFunction > | rdf_list_
HashMap< Atom::Type, HashMap< Atom::Type, Position > > | rdf_indices_
bool | hasRDF (Atom::Type solvent_atom_type, Atom::Type solute_atom_type) const
bool | hasParameters (Atom::Type solvent_atom_type, Atom::Type solute_atom_type) const

## Additional Inherited Members

Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }
Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

Parametersection for radial distribution function ?????

Definition at line 31 of file RDFParameter.h.

## Constructor & Destructor Documentation

## RDFParameter() [1/2]

BALL::RDFParameter::RDFParameter | ( |  | ) |

Default constructor

## RDFParameter() [2/2]

BALL::RDFParameter::RDFParameter | ( | const RDFParameter & | rdf_parameter | ) |

Copy constructor

Parameters

  rdf_parameter | the RDFParameter instance to copy from

## ~RDFParameter()

virtual BALL::RDFParameter::~RDFParameter | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::RDFParameter::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::ParameterSection.

## extractSection()

virtual bool BALL::RDFParameter::extractSection | ( | ForceFieldParameters & | parameters,
|  | const String & | section_name )

virtual

Extract the information from the parameter file.

Parameters

  parameters | a ForceFieldParameters instance
  section_name | the name of the section to be parsed

Returns
  true if the section could be read, false otherwise

## getIndex()

Position BALL::RDFParameter::getIndex | ( | Atom::Type | type_i,
|  | Atom::Type | type_j ) const

Get the index in dependance of atom types of solute and solvent

Parameters

  type_i | the type of the solvent atom
  type_j | the type of the solute atom

Returns
  the index of the respective RDF in the list built from the RDFSections.

## getRDF() [1/2]

const RadialDistributionFunction & BALL::RDFParameter::getRDF | ( | Atom::Type | type_i,
|  | Atom::Type | type_j ) const

Return a radial distribution function determined by type

Parameters

  type_i | the type of the solvent atom
  type_j | the type of the solute atom

Returns
  the RDF

## getRDF() [2/2]

const RadialDistributionFunction & BALL::RDFParameter::getRDF | ( | Position | index | ) | const

Return a radial distribution function determined by index

Parameters

  index | the index of the radial distribution function in the internal list

Returns
  the specified RDF

## hasParameters()

bool BALL::RDFParameter::hasParameters | ( | Atom::Type | solvent_atom_type,
|  | Atom::Type | solute_atom_type ) const

hasParameters

See also
  hasRDF

## hasRDF()

bool BALL::RDFParameter::hasRDF | ( | Atom::Type | solvent_atom_type,
|  | Atom::Type | solute_atom_type ) const

Find out, whether the parameter file contained a RDF for a special solute/solvent atom combination.

Parameters

  solvent_atom_type | the type of the solvent atom
  solute_atom_type | the type of the solute atom

Returns
  true, if there was a definition for this combination of atom types

## operator=()

const RDFParameter & BALL::RDFParameter::operator= | ( | const RDFParameter & | rdf_parameter | ) |

Assignment operator

Parameters

  rdf_parameter | the parameter to assign from

Returns
  a const reference to this

## Member Data Documentation

## rdf_indices_

HashMap< Atom::Type, HashMap<Atom::Type, Position> > BALL::RDFParameter::rdf_indices_

protected

Definition at line 146 of file RDFParameter.h.

## rdf_list_

std::vector<RadialDistributionFunction> BALL::RDFParameter::rdf_list_

protected

Definition at line 143 of file RDFParameter.h.